Bug 1006074 - Rename download files
Rename download files
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Ryan Zhang
Ivo Bek
:
Depends On:
Blocks: bpms6_ux/brms6_ux 1016919
  Show dependency treegraph
 
Reported: 2013-09-09 19:48 EDT by Catherine Robson
Modified: 2014-08-06 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1016919 (view as bug list)
Environment:
Last Closed: 2014-08-06 16:07:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-09-09 19:48:43 EDT
Description of problem:
Rename installation files to be more user-friendly.


Version-Release number of selected component (if applicable):
6.0.0.ER2
Came from usability week review


Additional info:
EAP vs. Deployable downloads confusing - which one do you grab if you already have EAP6 vs. do not?  Deployable is for installing on top of Tomcat or other app servers, but this isn't clear at a glance.  It seems like the one with EAP in the name is an all-in-one solution w/ EAP included given our history of installer solutions.

Current name -->  Suggested name:
jboss-bpms-6.0.0-redhat-2-deployable.zip --> jboss-bpms-6.0.0-redhat-2-deployable_otherappservers.zip

jboss-bpms-6.0.0-redhat-2-eap6.zip --> jboss-bpms-6.0.0-redhat-2-deployable-eap6.1.zip
Comment 4 Prakash Aradhya 2013-09-30 11:38:32 EDT
Here is my suggestion.

Current name -->  Suggested name:
jboss-bpms-6.0.0-redhat-2-eap6.zip --> jboss-bpms-6.0.0-redhat-2-deployable-eap6.x.zip

The above bundle is for EAP 6.x only (EAP 6.1 now and 6.1.1 or 6.1.2 etc at later point)



jboss-bpms-6.0.0-redhat-2-deployable.zip --> jboss-bpms-6.0.0-redhat-2-deployable_generic.zip

This is usable for any containers, including EAP 6.1.  For EAP 6.1 it is a fat installation which includes all the dependent libraries.
But, the expectation is people can use this to deploy on Tomcat, FSW, WAS etc.
Comment 5 Rajesh Rajasekaran 2013-09-30 12:00:45 EDT
Sounds good to me. 
One suggestion. Let's consistently use '-' instead of '_' in the file names.
Comment 8 Ryan Zhang 2013-10-08 02:53:04 EDT
OK, updated the file name as suggested.
(In reply to Rajesh Rajasekaran from comment #5)
> Sounds good to me. 
> One suggestion. Let's consistently use '-' instead of '_' in the file names.
Comment 10 Ivo Bek 2013-10-25 11:01:38 EDT
Verified in BPMS 6.0.0.ER4

the bundles are called as suggested:

jboss-bpms-6.0.0-redhat-4-deployable-eap6.x.zip
jboss-bpms-6.0.0-redhat-4-deployable-generic.zip

Note You need to log in before you can comment on or make changes to this bug.